CVE-2019-4448

IBM DB2 High Performance Unload load for LUW 6.1, 6.1.0.1, 6.1.0.1 IF1, 6.1.0.2, 6.1.0.2 IF1, and 6.1.0.1 IF2 db2hpum and db2hpum_debug binaries are setuid root and have built-in options that allow an low privileged user the ability to load arbitrary db2 libraries from a privileged context. This results in arbitrary code being executed with root authority. IBM X-Force ID: 163489.

Published : 2019-08-26 15:15 Updated : 2019-10-09 23:50

7.2
CVSS Score More info
Score 7.2 / 10
7.2
Vendor Product Version URI
Ibm Db2 High Performance Unload Load 6.1 cpe:/a:ibm:db2_high_performance_unload_load:6.1
Ibm Db2 High Performance Unload Load 6.1.0.1 cpe:/a:ibm:db2_high_performance_unload_load:6.1.0.1
Ibm Db2 High Performance Unload Load 6.1.0.1 cpe:/a:ibm:db2_high_performance_unload_load:6.1.0.1:if1
Ibm Db2 High Performance Unload Load 6.1.0.1 cpe:/a:ibm:db2_high_performance_unload_load:6.1.0.1:if2
Ibm Db2 High Performance Unload Load 6.1.0.2 cpe:/a:ibm:db2_high_performance_unload_load:6.1.0.2
Ibm Db2 High Performance Unload Load 6.1.0.2 cpe:/a:ibm:db2_high_performance_unload_load:6.1.0.2:if1
  1. Ibm (1) Search CVE
    1. Db2 High Performance Unload Load (3) Search CVE
      1. 6.1
      2. 6.1.0.1
      3. 6.1.0.2

CWE

ID Name Description Links
CWE-264 Permissions, Privileges, and Access Controls Weaknesses in this category are related to the management of permissions, privileges, and other security features that are used to perform access control. CVE

History of changes

Date Event
2019-09-03 17:07
2019-08-26 15:27

New CVE